Skip to main content
`Ctrl`+`K`

# PETSC_VIEWER_EXODUSII_

Creates an `PETSCVIEWEREXODUSII` `PetscViewer` shared by all processors in a communicator.

## Synopsis

    #include "petscdmplex.h"
    PetscViewer PETSC_VIEWER_EXODUSII_(MPI_Comm comm)

Collective; No Fortran Support

## Input Parameter

- comm - the MPI communicator to share the `PETSCVIEWEREXODUSII` `PetscViewer`

## Note

Unlike almost all other PETSc routines, `PETSC_VIEWER_EXODUSII_()` does not return an error code. The GLVIS PetscViewer is usually used in the form

      XXXView(XXX object, PETSC_VIEWER_EXODUSII_(comm));

## See Also

`PETSCVIEWEREXODUSII`, `PetscViewer`, `PetscViewer`, `PetscViewerExodusIIOpen()`, `PetscViewerType`, `PetscViewerCreate()`, `PetscViewerDestroy()`

## Level

intermediate

## Location

src/dm/impls/plex/exodusii/plexexodusii2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages